/Users/bernard/b20/bsoft/src/bmg2imod.cpp(3)

NAME
/Users/bernard/b20/bsoft/src/bmg2imod.cpp - Converts between IMOD files and a micrograph parameter file.

SYNOPSIS

#include 'mg_processing.h'
#include 'mg_img_proc.h'
#include 'mg_tomography.h'
#include 'rwmg.h'
#include 'rwmgIMOD.h'
#include 'rwimg.h'
#include 'linked_list.h'
#include 'utilities.h'
#include 'options.h'
#include 'timer.h'

  Functions
int write_IMOD_parameters (Bstring &imodfile, Bproject *project)
int main (int argc, char **argv)

  Variables
int verbose
const char * use []

Detailed Description

Converts between IMOD files and a micrograph parameter file.

Author:
    Bernard Heymann

Date:
    Created: 20070501

    Modified: 20180322

Definition in file bmg2imod.cpp.

Function Documentation

  int main (int argc, char ** argv)

Definition at line 48 of file bmg2imod.cpp.

  int write_IMOD_parameters (Bstring & imodfile, Bproject * project)

Variable Documentation

  const char* use[]
Initial value:

= {
" ",
"Usage: bmg2imod [options] input.mrc input.xf input.tlt input.xyz",
"----------------------------------------------------------------",
"Converts between IMOD files and a micrograph parameter file.",
" ",
"Actions:",
"-topif                   Flag to convert the image file to multi-image PIF (default not).",
" ",
"Parameters:",
"-verbose 7               Verbosity of output.",
"-sampling 1.5            Sampling (A/pixel).",
" ",
"Output:",
"-output file.star        Output micrograph parameter file.",
"-imod file.xf            Output IMOD parameter files.",
" ",
NULL
}

Definition at line 27 of file bmg2imod.cpp.

  int verbose

Author

Generated automatically by Doxygen for Bsoft from the source code.